[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomCheckBox.Toggle

Alternates between the checked and the unchecked state in the control.

## Declaration

Source position: stdctrls.pp line 1344

`protected procedure TCustomCheckBox.Toggle; virtual;`

## Description

Calls GetChecked to retrieve the current checked State for the control. Negates the value and calls SetChecked to store the toggled state value. Called from DialogChar when the accelerator key is handled for the focused control.

## See also

TCustomCheckBox.DialogChar |  | Implements support for accelerator keys in the control.
TCustomCheckBox.State |  | The check, unchecked, or grayed state for the control.
TCustomCheckBox.GetChecked |  | Gets the value for the Checked property.
TCustomCheckBox.SetChecked |  | Sets the value for the Checked property.
TCustomCheckBox.ShortCut |  | Shortcut key for the control.